clear all

global g = 9.81;
global a = 15;
global b = 20;

function y = f(x, t)
	global g;
	global a;
	global b;
	phip = @(x) ((2.*b)./a.^2 .* x + - (2.*b)./a);

	% x(1) = posizione
	% x(2) = velocità

	D = sqrt(1 + phip(x(1)).^2);
	dx = x(2) .* (1./D);
	dv = -g .* (phip(x(1)) ./ D);

	y = [dx, dv];
end

x0 = [0, 0];
t = linspace(0, 7);
sol = lsode(@f, x0, t);

plot(t, sol, 'linewidth', 2);